
TYPO3.Flow - Bug # 44602

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2013-01-17 Assigned To: Bastian Waidelich
Updated: 2013-01-31 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: Update YAML schemas to latest changes
Description

Currently

./flow configuration:validate --type Settings

and

./flow configuration:validate --type Objects

Return errors for Flow configuration.
The respective schemas need to be adjusted to recent changes

Associated revisions
Revision 911e2819 - 2013-01-17 14:12 - Bastian Waidelich

[BUGFIX] Adjust YAML schemas to latest changes

the CLI command "./flow configuration:validate" currently reports
invalid configuration for type "Settings" and "Objects" due to
outdated schema files.
This adjust respective schemas to recent Flow changes.

Change-Id: I2642f3a336e5d5f855d110e4001175db7171110f
Fixes: #44602
Releases: 2.0, master

Revision 7a41f8bd - 2013-01-30 18:29 - Bastian Waidelich

[BUGFIX] Adjust YAML schemas to latest changes

the CLI command "./flow configuration:validate" currently reports
invalid configuration for type "Settings" and "Objects" due to
outdated schema files.
This adjust respective schemas to recent Flow changes.
Change-Id: I2642f3a336e5d5f855d110e4001175db7171110f
Fixes: #44602
Releases: 2.0, master

History
#1 - 2013-01-17 15:36 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:911e281962d0c2312d0718daa29a8c8d44bce064.

#2 - 2013-01-17 17:44 - Michael Klapper
- File composer.lock added

I still get the following errors on a fresh composer based installation:
./flow configuration:validate --type Objects...1 errors were found: - TYPO3.Flow.TYPO3\Flow\Session\SessionInterface.factoryMethodName -> This
property is not allowed here, check the spelling if you think it belongs here.
./flow configuration:validate --type Settings...5 errors were found: - TYPO3.Flow.session -> Property PhpSession is required -
TYPO3.Flow.session.name -> This property is not allowed here, check the spelling if you think it belongs here. -
TYPO3.Flow.session.garbageCollectionProbability -> This property is not allowed here, check the spelling if you think it belongs here. -
TYPO3.Flow.session.cookie -> This property is not allowed here, check the spelling if you think it belongs here. -
TYPO3.Flow.error.exceptionHandler.defaultRenderingOptions -> This property is not allowed here, check the spelling if you think it belongs here.
What should I do to solve this messages?

Cheers,
Mick

#3 - 2013-01-18 09:29 - Bastian Waidelich

Michael Klapper wrote:

I still get the following errors on a fresh composer based installation [...]

Those are exactly the errors that this patch should fix. Are you sure you have the latest version including
911e281962d0c2312d0718daa29a8c8d44bce064 ?

#4 - 2013-01-18 12:06 - Michael Klapper

For some reason I got an previous version of Flow by installing a fresh instance using composer.

However, I run composer update and validated the settings again - the configuration is valid!

#5 - 2013-01-30 18:29 - Gerrit Code Review
- Status changed from Resolved to Under Review

2015-08-04 2/3



Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/17863

#6 - 2013-01-31 10:36 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:7a41f8bd5fc5bdbcb05f9f424add621a0fa5f6dc.

Files
composer.lock 36.2 kB 2013-01-17 Michael Klapper
